# Tera - Ansible

Dépôt qui contient la conf ansible pour mettre à jour les serveurs, etc.

Voir ici pour le fichier ```.ssh/config``` qui contient les infos de connexions aux hosts :   
https://agora.tera.coop/gogs/tera.coop/tera_ssh_config

## Installer Ansible
https://docs.ansible.com/ansible/latest/installation_guide/intro_installation.html

## Cloner le dépôt
```bash
$ git clone https://agora.tera.coop/gogs/tera.coop/ansible.git
```

## Modifier le fichier `/etc/ansible/ansible.cfg`
Il faut déclarer où se trouve notre fichier "hosts" qui déclare tous les hosts. Correspond à l'endroit où vous venez de cloner le dépôt.

Exemple : `inventory      = /home/sim/ansible/hosts`

## Commandes utiles

### Vérifier la syntaxe d'un playbook
```bash
$ ansible-playbook [CHEMIN_VERS_LE_PLAYBOOK.yml] --syntax-check
```

### Voir sur quels hosts sera joué le playbook
```bash
$ ansible-playbook [CHEMIN_VERS_LE_PLAYBOOK.yml] --list-hosts
```

### Lancer un playbook en mode verbeux
```bash
$ ansible-playbook [CHEMIN_VERS_LE_PLAYBOOK.yml] --verbose
```
